HST Time Now
HST is the abbreviation of Hawaii Standard Time. Time zone offset of HST is UTC-10. Hawaii Standard Time is 10 hours behind from the UTC universal time. HST current date is 2nd Monday November 2026. Current time in HST (HST).
HST Time
22:43:04
2 November 2026 Monday
HST is the abbreviation of Hawaii Standard Time, a special time zone used at Hawaii. Hawaii is a state of the US and a group of islands located in Oceania, in Central Pacific Ocean. This time standard is valid for cities of Honolulu, Kahului, Hilo, and others. Hawaii Standard Time is 10 hours behind the UTC universal time, and there is summer daylight saving time observed in the area.
What time is it in Hawaii Standard Time now? It is 22:43:04 right now.
Hawaii Standard Time Date and Time Now in Various Formats
| Date Time Format | HST Date Time Now |
|---|---|
| UTC | 2026-11-02T22:43:04Z |
| ISO-8601 | 2026-11-02T22:43:04+0000 |
| RFC 2822 | Mon, 02 Nov 2026 22:43:04 +0000 |
| RFC 850 | Monday, 02-Nov-26 22:43:04 UTC |
| RFC 1036 | Mon, 02 Nov 26 22:43:04 +0000 |
| RFC 1123 | Mon, 02 Nov 2026 22:43:04 +0000 |
| RFC 822 | Mon, 02 Nov 26 22:43:04 +0000 |
| RFC 3339 | 2026-11-02T22:43:04+00:00 |
| ATOM | 2026-11-02T22:43:04+00:00 |
| COOKIE | Monday, 02-Nov-2026 22:43:04 UTC |
| RSS | Mon, 02 Nov 2026 22:43:04 +0000 |
| W3C | 2026-11-02T22:43:04+00:00 |
| Unix Epoch | 1793659384 |
| YYYY-DD-MM HH:MM:SS | 2026-02-11 22:43:04 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-02-11 10:43:04 PM |
| DD-MM-YYYY HH:MM:SS | 02-11-2026 22:43:04 |
| MM-DD-YYYY HH:MM:SS | 11-02-2026 22:43:04 |